> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download consolidated Excel by parent client

> Operacion: Download consolidated Excel by parent client.



## OpenAPI

````yaml /generated/specs/finance.json get /api/v1/factura/excel/consolidated/{parentId}
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/factura/excel/consolidated/{parentId}:
    get:
      tags:
        - Billing - Facturas
      summary: Download consolidated Excel by parent client
      description: 'Operacion: Download consolidated Excel by parent client.'
      operationId: FacturaController_downloadConsolidatedExcel
      parameters:
        - name: parentId
          required: true
          in: path
          description: Parent client ID (UUID)
          schema:
            type: string
        - name: periodo
          required: false
          in: query
          description: Period in YYYY-MM format
          schema:
            example: 2026-02
            type: string
      responses:
        '200':
          description: Excel file download
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````